Hypercorn is an ASGI web server based on the sans-io hyper, h11, h2, and wsproto libraries and inspired by Gunicorn. Hypercorn supports HTTP/1, HTTP/2, WebSockets (over HTTP/1 and HTTP/2), ASGI/2, and ASGI/3 specifications. Hypercorn can utilise asyncio, uvloop, or trio worker types.

Hypercorn was initially part of Quart before being separated out into a standalone ASGI server. Hypercorn forked from version 0.5.0 of Quart.

Hypercorn is developed on Github. You are very welcome to open issues or propose pull requests.

# Contents

- Tutorials
  - Installation
  - Quickstart
  - Usage
- How to guides
  - API Usage
  - Binds
  - Configuring
  - Configuration options
  - Dispatch to multiple ASGI applications
  - HTTP to HTTPS Redirects
  - Logging
  - Fixing proxy headers
  - Server names
  - Statsd Logging
  - Serve WSGI applications
- Discussions
  - Managing backpressure
  - Connection closure
  - Design Choices
  - Denial Of Service mitigations
  - Flow
  - HTTP/2
  - Workers
- Reference
  - API Reference